RDKit: RDKit::v1::MolSupplier Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
RDKit::v1::MolSupplier Class Reference

`#include <MolSupplier.v1API.h>`

Inheritance diagram for RDKit::v1::MolSupplier:

## Public Member Functions
| MolSupplier ()
virtual | ~MolSupplier ()
void | init ()
void | reset ()
bool | atEnd ()
ROMol * | next ()
virtual void | close ()

## Protected Attributes
std::unique_ptr< v2::FileParsers::MolSupplier > | dp_supplier

## Detailed Description

Here are a couple of ways one can interact with MolSuppliers:

1) Lazy (ForwardIterator): while(!supplier.atEnd()){ ROMol *mol = supplier.next(); if(mol){ do something; } } 2) Random Access: for(int i=0;i<supplier.length();i++){ ROMol *mol = supplier[i]; if(mol){ do something; } }

Definition at line 36 of file MolSupplier.v1API.h.

## Constructor & Destructor Documentation

## ◆ MolSupplier()

RDKit::v1::MolSupplier::MolSupplier | ( |  | ) |
| inline

Definition at line 39 of file MolSupplier.v1API.h.

## ◆ ~MolSupplier()

virtual RDKit::v1::MolSupplier::~MolSupplier | ( |  | ) |
| inlinevirtual

Definition at line 40 of file MolSupplier.v1API.h.

## Member Function Documentation

## ◆ atEnd()

bool RDKit::v1::MolSupplier::atEnd | ( |  | ) |
| inline

Definition at line 52 of file MolSupplier.v1API.h.

References dp_supplier.

## ◆ close()

virtual void RDKit::v1::MolSupplier::close | ( |  | ) |
| inlinevirtual

Definition at line 63 of file MolSupplier.v1API.h.

References dp_supplier.

## ◆ init()

void RDKit::v1::MolSupplier::init | ( |  | ) |
| inline

Definition at line 41 of file MolSupplier.v1API.h.

References dp_supplier.

## ◆ next()

ROMol * RDKit::v1::MolSupplier::next | ( |  | ) |
| inline

Definition at line 58 of file MolSupplier.v1API.h.

References dp_supplier, and PRECONDITION.

## ◆ reset()

void RDKit::v1::MolSupplier::reset | ( |  | ) |
| inline

Definition at line 46 of file MolSupplier.v1API.h.

References dp_supplier.

## Member Data Documentation

## ◆ dp_supplier

std::unique_ptr<v2::FileParsers::MolSupplier> RDKit::v1::MolSupplier::dp_supplier
| protected

Definition at line 78 of file MolSupplier.v1API.h.

Referenced by atEnd(), close(), RDKit::v1::ForwardSDMolSupplier::ForwardSDMolSupplier(), RDKit::v1::ForwardSDMolSupplier::getEOFHitOnRead(), RDKit::v1::SDMolSupplier::getItemText(), RDKit::v1::SmilesMolSupplier::getItemText(), RDKit::v1::TDTMolSupplier::getItemText(), RDKit::v1::ForwardSDMolSupplier::getProcessPropertyLists(), init(), RDKit::v1::SDMolSupplier::length(), RDKit::v1::SmilesMolSupplier::length(), RDKit::v1::TDTMolSupplier::length(), RDKit::v1::SDMolSupplier::moveTo(), RDKit::v1::SmilesMolSupplier::moveTo(), RDKit::v1::TDTMolSupplier::moveTo(), next(), RDKit::v1::SDMolSupplier::operator[](), RDKit::v1::SmilesMolSupplier::operator[](), RDKit::v1::TDTMolSupplier::operator[](), reset(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::setData(), RDKit::v1::SDMolSupplier::setData(), RDKit::v1::SmilesMolSupplier::setData(), RDKit::v1::TDTMolSupplier::setData(), RDKit::v1::ForwardSDMolSupplier::setProcessPropertyLists(), RDKit::v1::SDMolSupplier::setStreamIndices(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), RDKit::v1::SmilesMolSupplier::SmilesMolSupplier(), RDKit::v1::TDTMolSupplier::TDTMolSupplier(), RDKit::v1::TDTMolSupplier::TDTMolSupplier(), and RDKit::v1::TDTMolSupplier::TDTMolSupplier().

The documentation for this class was generated from the following file:

- MolSupplier.v1API.h